petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMForestGetCellChart

After the setup phase, get the local half-open interval of the chart of cells on this process

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetCellChart(DM dm, PetscInt *cStart, PetscInt *cEnd)

Not collective

### Input Parameter

dm -the forest

### Output Parameters

| cStart | - the first cell on this process
| cEnd | - one after the final cell on this process

### See Also

DMForestGetCellSF()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages